upstream ual_app_unicorn {
	server unix:/home/web/ual_app/shared/unicorn.sock fail_timeout=0;
}

server {
	listen 80;
	server_name une-autre-laverie.com;
	root /home/web/ual_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
		proxy_redirect off;
		proxy_pass http://ual_app_unicorn;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
}


server {
	listen 80;
    server_name www.une-autre-laverie.com www.une-autre-laverie.fr une-autre-laverie.fr www.uneautrelaverie.fr uneautrelaverie.fr www.uneautrelaverie.com uneautrelaverie.com;
    rewrite ^(.*) http://une-autre-laverie.com$1 permanent;
}
